"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TsCompileOptions = void 0;
const fs = require("fs");
const ts = require("typescript");
const location_1 = require("./location");
class TsCompileOptions {
    constructor(options) {
        var _a, _b;
        const configPath = ts.findConfigFile(options.testsLocation, ts.sys.fileExists, "tsconfig.json");
        if (!configPath) {
            throw new Error("Could not find a valid 'tsconfig.json' from " + options.testsLocation);
        }
        const configContents = fs.readFileSync(configPath).toString();
        this.compilerOptions = ts.parseConfigFileTextToJson(configPath, configContents);
        const config = this.compilerOptions.config;
        let outDir;
        let outFile;
        if (config) {
            outDir = (_a = config.compilerOptions) === null || _a === void 0 ? void 0 : _a.outDir;
            outFile = (_b = config.compilerOptions) === null || _b === void 0 ? void 0 : _b.outFile;
        }
        if (!outDir) {
            if (!outFile) {
                throw new Error('Neither outDir nor outFile found in typescript compiler options');
            }
            outDir = new location_1.Location(outFile).parent;
        }
        this.outFile = outFile;
        this.outDir = outDir;
    }
}
exports.TsCompileOptions = TsCompileOptions;
//# sourceMappingURL=compile.js.map