import { Options } from './options';
export interface Status {
    code: number;
    message: string;
}
export interface Response {
    status: Status;
    headers: {
        [key: string]: string;
    };
    body?: any;
    time?: number;
}
export declare class PlyResponse implements Response {
    readonly runId: string;
    readonly status: Status;
    readonly headers: {
        [key: string]: string;
    };
    readonly body?: any;
    readonly time?: number | undefined;
    constructor(runId: string, status: Status, headers: {
        [key: string]: string;
    }, body?: any, time?: number | undefined);
    /**
     * Orders body object keys unless suppressed by options.  Does not substitute values.
     * Response header keys are always lowercase
     * @param runtime runtime context
     * @param wantedHeaders optional name of headers subset to keep
     * @param stringBody body object is stringified
     */
    getResponse(runId: string, options: Options, wantedHeaders?: string[], stringBody?: boolean): PlyResponse;
}
