"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Skip = void 0;
const glob = require("glob");
const location_1 = require("./location");
class Skip {
    constructor(path, pattern) {
        this.path = path;
        this.pattern = pattern;
        this.skipped = glob.sync(pattern, {
            cwd: new location_1.Location(path).absolute
        }).map(skip => new location_1.Location(skip).absolute);
    }
    isSkipped(path) {
        return this.skipped.includes(new location_1.Location(path).absolute);
    }
}
exports.Skip = Skip;
//# sourceMappingURL=skip.js.map