import * as flowbee from 'flowbee';
import { Logger } from './logger';
import { RunOptions } from './options';
import { Request } from './request';
import { Runtime } from './runtime';
import { Suite } from './suite';
import { PlyTest, Test } from './test';
import { Result } from './result';
export interface Step extends Test {
    step: flowbee.Step;
    instance?: flowbee.StepInstance;
    subflow?: flowbee.Subflow;
}
export declare function getStepId(step: Step): string;
export declare class PlyStep implements Step, PlyTest {
    readonly step: flowbee.Step;
    private readonly requestSuite;
    private readonly logger;
    readonly flowPath: string;
    readonly subflow?: flowbee.Subflow | undefined;
    /**
     * This is the step id.
     */
    readonly name: string;
    readonly type = "flow";
    readonly stepName: string;
    readonly instance: flowbee.StepInstance;
    start?: number | undefined;
    end?: number | undefined;
    constructor(step: flowbee.Step, requestSuite: Suite<Request>, logger: Logger, flowPath: string, flowInstanceId: string, subflow?: flowbee.Subflow | undefined);
    run(runtime: Runtime, values: object, runOptions?: RunOptions): Promise<Result>;
    private padActualStart;
    /**
     * Maps instance status to ply result
     */
    private mapResult;
}
